jpts<- {bnstruct} | R Documentation

## set the list of joint probability tables compiled by an `InferenceEngine`.

### Description

Add a list of joint probability tables for the cliques of the junction tree.

### Usage

    jpts(x) <- value

    ## S4 replacement method for signature 'InferenceEngine'
    jpts(x) <- value

### Arguments

`x` | an `InferenceEngine`.
`value` | the list of joint probability tables compiled by the `InferenceEngine`.

### Details

Each joint probability table is represented as a multidimensional array. To retrieve single dimensions (e.g. to compute marginals), users should provide dimension names.

[Package bnstruct version 1.0.6 Index]